"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CountrySelector = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _worldCountries = _interopRequireDefault(require("world-countries"));
var _fuse = _interopRequireDefault(require("fuse.js"));
var _countryCodeEmoji = _interopRequireDefault(require("country-code-emoji"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const CountrySelector = ({
  onSelect
}) => {
  const [searchTerm, setSearchTerm] = (0, _react.useState)('');
  const fuse = new _fuse.default(_worldCountries.default, {
    keys: ['name.common']
  });
  const filteredCountries = fuse.search(searchTerm).map(result => result.item);
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TextInput, {
    placeholder: "Search Country...",
    value: searchTerm,
    onChangeText: setSearchTerm,
    style: styles.textinput
  }), /*#__PURE__*/_react.default.createElement(_reactNative.FlatList, {
    data: filteredCountries,
    renderItem: ({
      item
    }) => /*#__PURE__*/_react.default.createElement(_reactNative.TouchableOpacity, {
      onPress: () => onSelect(item)
    }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
      style: styles.row
    }, [item.cca2].map(_countryCodeEmoji.default), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
      style: styles.title
    }, item.idd.root + (item.idd.suffixes.length === 1 ? item.idd.suffixes[0] : '') + ' ' + item.name.common))),
    keyExtractor: item => item.cca2
  }));
};
exports.CountrySelector = CountrySelector;
const styles = _reactNative.StyleSheet.create({
  container: {
    flex: 1
  },
  title: {
    marginLeft: 10
  },
  textinput: {
    borderWidth: 1,
    borderRadius: 4,
    paddingHorizontal: 8,
    paddingVertical: 4
  },
  row: {
    flexDirection: 'row',
    alignItems: 'center',
    padding: 10
  },
  box: {
    width: 60,
    height: 60,
    marginVertical: 20
  }
});
//# sourceMappingURL=index.js.map